hw_Modifyobject
hw_New_Document
Hyperwave Functions
PHP Manual

# hw_mv

(PHP 4)

hw_mv — Moves objects

### Description

int hw_mv ( int `$connection` , array `$object_id_array` , int `$source_id` , int `$destination_id` )

Moves the specified objects from a collection to another.

### Parameters

`connection`

  The connection identifier.

`object_id_array`

  An array of object ids.

`source_id`

  The source collection id.

`destination_id`

  The target collection id. If set to 0 the objects will be unlinked from the source collection. If this is the last instance of that object it will be deleted. If you want to delete all instances at once, use hw_deleteobject().

### Return Values

Returns the number of moved objects.

### See Also

- hw_cp()
- hw_deleteobject()

hw_Modifyobject
hw_New_Document
Hyperwave Functions
PHP Manual